const mysql = require('mysql');
const fs = require('fs');

module.exports = function run(filename, pool, done) {
  console.log('runsqlfile: reading file ' + filename);
  const sql = fs.readFileSync(filename, 'utf8');
  pool.getConnection((err, connection) => {
    if (err) {
      console.log('runsqlfile: error connecting');
      done();
    } else {
      // console.log("runsqlfile: connected");
      connection.query(sql, (err, rows) => {
        connection.release();
        if (err) {
          console.log(err);
          done();
        } else {
          // console.log("runsqlfile: run ok");
          done();
        }
      });
    }
  });
};
