const express = require('express');

const app = express();

const biometricRoutes = require('./api/routes/biometricRoute');
const notificationRoutes = require('./api/routes/notificationRoute');
const userRoutes = require('./api/routes/userRoute');

app.use(express.json());
app.use('/biometric', biometricRoutes);
app.use('/notification', notificationRoutes);
app.use('/user', userRoutes);

module.exports = app;
