DROP TABLE IF EXISTS `testTok`.`biometric`;
DROP TABLE IF EXISTS `testTok`.`userTable`;
DROP TABLE IF EXISTS `testTok`.`notificationDescription`;
DROP TABLE IF EXISTS `testTok`.`notificationTable`;

CREATE TABLE `testTok`.`biometric` (
  expoToken varchar(120) DEFAULT NULL,
  biometri tinyint(4) DEFAULT '0',
  firstPrompt tinyint(4) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `testTok`.`userTable` (
  userId varchar(128) ,
  expoToken varchar(128) ,
  orgType varchar(128) ,
  orgId varchar(128) ,
  orgName varchar(128),
  PRIMARY KEY (orgType, orgId, expoToken)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `testTok`.`notificationDescription` (
  `notificationType` varchar(120) DEFAULT NULL,
  `description` varchar(120) DEFAULT NULL,
  `label` varchar(120) DEFAULT NULL,
  `associationType` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `testTok`.`notificationTable` (
  expoToken varchar(120) ,
  notificationType varchar(120),
  associationType varchar(45),
  notify tinyint(4) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

