import React from 'react'
import renderer from 'react-test-renderer'

import CustomSwitch from '../components/CustomSwitch'

describe('<CustomSwitch/>', () => {
    it ('has one child', () => {
        const tree = renderer.create(<CustomSwitch/>).toJSON();
        expect(tree.children.length).toBe(1);
    });
    it ('renders correctly', () => {
        const tree = renderer.create().toJSON();
        expect(tree).toMatchSnapshot();
    });
});